# FBB::SharedBlock(3bobcat)

## Shared Memory Block
(libbobcat-dev_6.07.01)

## 2005-2025

## NAME

FBB::SharedBlock - Shared memory data block info

## SYNOPSIS

#include <bobcat/sharedblock>
Linking option: -lpthread, -lbobcat

## DESCRIPTION

FBB::SharedBlock objects are used by FBB::SharedSegment to access the IDs and shared memory locks of shared memory data segments.

## NAMESPACE

FBB
All constructors, members, operators and manipulators, mentioned in this man-page, are defined in the namespace FBB.

## INHERITS FROM

-

## CONSTRUCTORS

Only the default constructor is available. Copy and move assignment operators are not available.

## MEMBER FUNCTIONS

- size_t id() const:
  The object's stored ID value is returned.

- void lock() const:
  When returning from this member, the current process has obtained the FBB::SharedBlock's shared memory mutex lock.

- void setID(size_t id):
  The object's stored ID value is set to id.

- void unlock() const:
  The shared memory segment's mutex lock is released.

## EXAMPLE

See the sharedstream(3bobcat) man page.

## FILES

bobcat/sharedblock - defines the class interface

## SEE ALSO

bobcat(7) isharedstream(3bobcat), osharedstream(3bobcat), sharedcondition(3bobcat), sharedmemory(3bobcat), sharedmutex(3bobcat), sharedpos(3bobcat), sharedreadme(7bobcat), sharedsegment(3bobcat), sharedstream(3bobcat), sharedbuf(3bobcat)

## BUGS

None Reported.

## BOBCAT PROJECT FILES

- https://fbb-git.gitlab.io/bobcat/: gitlab project page;

Debian Bobcat project files:

- libbobcat6: debian package containing the shared library, changelog and copyright note;
- libbobcat-dev: debian package containing the static library, headers, manual pages, and developer info;

## BOBCAT

Bobcat is an acronym of `Brokken's Own Base Classes And Templates'.

## COPYRIGHT

This is free software, distributed under the terms of the GNU General Public License (GPL).

## AUTHOR

Frank B. Brokken (f.b.brokken@rug.nl).